Bug 688053 - mysql lens doesn't contain /etc/my.cnf
mysql lens doesn't contain /etc/my.cnf
Product: Fedora
Classification: Fedora
Component: augeas (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Lutterkort
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2011-03-16 03:25 EDT by Michael Metz
Modified: 2013-04-30 19:42 EDT (History)
4 users (show)

See Also:
Fixed In Version: augeas-0.8.1-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-04-30 19:21:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michael Metz 2011-03-16 03:25:56 EDT
Description of problem:
With augeas it's not possible to parse /etc/my.cnf in it's default path used by default mysql-server-package

Version-Release number of selected component (if applicable):

How reproducible:
# augtool print /files/etc/my.cnf
=> not parsed

same config file in different directory:
# augtool print /files/etc/mysql/my.cnf

/files/etc/mysql/my.cnf/target[1] = "mysqld"
/files/etc/mysql/my.cnf/target[1]/datadir = "/var/lib/mysql"
/files/etc/mysql/my.cnf/target[1]/socket = "/var/lib/mysql/mysql.sock"
/files/etc/mysql/my.cnf/target[1]/user = "mysql"
/files/etc/mysql/my.cnf/target[1]/#comment = "Disabling symbolic-links is recommended to prevent assorted security risks"
/files/etc/mysql/my.cnf/target[1]/symbolic-links = "0"
/files/etc/mysql/my.cnf/target[2] = "mysqld_safe"
/files/etc/mysql/my.cnf/target[2]/log-error = "/var/log/mysqld.log"
/files/etc/mysql/my.cnf/target[2]/pid-file = "/var/run/mysqld/mysqld.pid"
Comment 1 David Lutterkort 2011-03-23 18:26:24 EDT
Fixed by commit bbd690ab upstream
Comment 2 Fedora Update System 2011-04-21 12:34:51 EDT
augeas-0.8.1-1.fc14 has been submitted as an update for Fedora 14.
Comment 3 Fedora Update System 2011-04-21 18:27:07 EDT
Package augeas-0.8.1-1.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing augeas-0.8.1-1.fc14'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2011-04-30 19:21:20 EDT
augeas-0.8.1-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.